curl --request PUT \
--url https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"start_time": 1471040808,
"end_time": 1668453920,
"message": "backend deploy #123",
"type": "deploy",
"url": "http://link-to-build.here"
}
'import requests
url = "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
payload = {
"start_time": 1471040808,
"end_time": 1668453920,
"message": "backend deploy #123",
"type": "deploy",
"url": "http://link-to-build.here"
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_time: 1471040808,
end_time: 1668453920,
message: 'backend deploy #123',
type: 'deploy',
url: 'http://link-to-build.here'
})
};
fetch('https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'start_time' => 1471040808,
'end_time' => 1668453920,
'message' => 'backend deploy #123',
'type' => 'deploy',
'url' => 'http://link-to-build.here'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
payload := strings.NewReader("{\n \"start_time\": 1471040808,\n \"end_time\": 1668453920,\n \"message\": \"backend deploy #123\",\n \"type\": \"deploy\",\n \"url\": \"http://link-to-build.here\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
.header("X-Honeycomb-Team", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"start_time\": 1471040808,\n \"end_time\": 1668453920,\n \"message\": \"backend deploy #123\",\n \"type\": \"deploy\",\n \"url\": \"http://link-to-build.here\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_time\": 1471040808,\n \"end_time\": 1668453920,\n \"message\": \"backend deploy #123\",\n \"type\": \"deploy\",\n \"url\": \"http://link-to-build.here\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2016-08-13T05:39:42Z",
"updated_at": "2016-08-13T05:39:42Z",
"start_time": 1471040808,
"message": "backend deploy #123",
"type": "deploy",
"id": "d1c84ec0"
}{
"error": "unknown API key - check your credentials"
}{
"error": "dataset not found"
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Update a Marker
Update a Marker in the specified dataset. To update an environment marker, use the __all__ keyword and an API key associated with the desired environment.
curl --request PUT \
--url https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"start_time": 1471040808,
"end_time": 1668453920,
"message": "backend deploy #123",
"type": "deploy",
"url": "http://link-to-build.here"
}
'import requests
url = "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
payload = {
"start_time": 1471040808,
"end_time": 1668453920,
"message": "backend deploy #123",
"type": "deploy",
"url": "http://link-to-build.here"
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_time: 1471040808,
end_time: 1668453920,
message: 'backend deploy #123',
type: 'deploy',
url: 'http://link-to-build.here'
})
};
fetch('https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'start_time' => 1471040808,
'end_time' => 1668453920,
'message' => 'backend deploy #123',
'type' => 'deploy',
'url' => 'http://link-to-build.here'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
payload := strings.NewReader("{\n \"start_time\": 1471040808,\n \"end_time\": 1668453920,\n \"message\": \"backend deploy #123\",\n \"type\": \"deploy\",\n \"url\": \"http://link-to-build.here\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
.header("X-Honeycomb-Team", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"start_time\": 1471040808,\n \"end_time\": 1668453920,\n \"message\": \"backend deploy #123\",\n \"type\": \"deploy\",\n \"url\": \"http://link-to-build.here\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_time\": 1471040808,\n \"end_time\": 1668453920,\n \"message\": \"backend deploy #123\",\n \"type\": \"deploy\",\n \"url\": \"http://link-to-build.here\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2016-08-13T05:39:42Z",
"updated_at": "2016-08-13T05:39:42Z",
"start_time": 1471040808,
"message": "backend deploy #123",
"type": "deploy",
"id": "d1c84ec0"
}{
"error": "unknown API key - check your credentials"
}{
"error": "dataset not found"
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
Body
If an existing field is not included in the payload, it will be erased.
Groups similar Markers. For example, deploys. All Markers of the same type appear with the same color on the graph. Refer to the Marker Settings API for altering the color of each type.
"deploy"
Response
Updated
Groups similar Markers. For example, deploys. All Markers of the same type appear with the same color on the graph. Refer to the Marker Settings API for altering the color of each type.
"deploy"